LegalStack

Интерфейсы — публичные

Публичные интерфейсы по токену.

Отменить бронь

POST
/api/v1/interfaces/booking/{teamId}/{token}/cancel

Параметры пути

teamId*string

Команда, в которой сделана бронь

token*string

Токен управления бронью из письма

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/interfaces/booking/string/string/cancel"
{
  "success": true,
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Перенести бронь

POST
/api/v1/interfaces/booking/{teamId}/{token}/reschedule

Параметры пути

teamId*string

Команда, в которой сделана бронь

token*string

Токен управления бронью из письма

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/interfaces/booking/string/string/reschedule" \  -H "Content-Type: application/json" \  -d '{    "end": "string",    "start": "string"  }'
{
  "success": true,
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Получить публичный интерфейс

GET
/api/v1/interfaces/public/{token}

Параметры пути

token*string

Токен публичной ссылки интерфейса

Тело ответа

application/json

curl -X GET "https://loading/api/v1/interfaces/public/string"
{
  "calendar": {
    "property1": null,
    "property2": null
  },
  "config": {
    "property1": null,
    "property2": null
  },
  "description": "string",
  "fields": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "id": "string",
  "publicSettings": {
    "property1": null,
    "property2": null
  },
  "title": "string",
  "type": "string",
  "property1": null,
  "property2": null
}

Свободные слоты для scheduling-интерфейса

GET
/api/v1/interfaces/public/{token}/availability

Параметры пути

token*string

Токен публичной ссылки интерфейса

Параметры запроса

from*string
to*string

Тело ответа

application/json

curl -X GET "https://loading/api/v1/interfaces/public/string/availability?from=string&to=string"
{
  "durationMin": 0,
  "slots": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "property1": null,
  "property2": null
}

Записи реестра для публичного интерфейса

GET
/api/v1/interfaces/public/{token}/registry/{registryTypeId}

Параметры пути

token*string

Токен публичной ссылки интерфейса

registryTypeId*string

Реестр, записи которого доступны интерфейсу

Тело ответа

application/json

curl -X GET "https://loading/api/v1/interfaces/public/string/registry/string"
{
  "records": [
    {
      "data": {
        "property1": null,
        "property2": null
      },
      "id": "string"
    }
  ]
}

PDF сгенерированного документа для текущей сессии отправки

GET
/api/v1/interfaces/public/{token}/submission/pdf

Параметры пути

token*string

Токен публичной ссылки интерфейса

Тело ответа

application/pdf

application/problem+json

application/problem+json

curl -X GET "https://loading/api/v1/interfaces/public/string/submission/pdf"
"string"
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Статус сгенерированного документа для текущей сессии отправки

GET
/api/v1/interfaces/public/{token}/submission/status

Параметры пути

token*string

Токен публичной ссылки интерфейса

Тело ответа

application/json

curl -X GET "https://loading/api/v1/interfaces/public/string/submission/status"
{
  "documentId": "string",
  "ready": true
}

Отправить публичный интерфейс

POST
/api/v1/interfaces/public/{token}/submit

Параметры пути

token*string

Токен публичной ссылки интерфейса

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/interfaces/public/string/submit" \  -H "Content-Type: application/json" \  -d '{    "data": {      "property1": null,      "property2": null    }  }'
{
  "hasSession": true,
  "message": "string",
  "submissionId": "string",
  "success": true
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

DaData-подсказки (прокси)

GET
/api/v1/interfaces/public/{token}/suggest

Параметры пути

token*string

Токен публичной ссылки интерфейса

Параметры запроса

q?string

Строка поиска

count?string

Максимум подсказок

Тело ответа

application/json

curl -X GET "https://loading/api/v1/interfaces/public/string/suggest"
{
  "suggestions": [
    {
      "property1": null,
      "property2": null
    }
  ]
}

Загрузить файл в публичный интерфейс

POST
/api/v1/interfaces/public/{token}/upload

Параметры пути

token*string

Токен публичной ссылки интерфейса

Тело запроса

multipart/form-data

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/interfaces/public/string/upload" \  -F file="string"
{
  "fileId": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}